## pkg-kde-tools 0.15.28ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.28ubuntu1) bionic; urgency=medium

  * Merge with current Debian unstable for dpkg 1.19.0 compatibility.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Oct 2017 02:27:41 -0600

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.19.0~)
Standards-Version: 4.1.1
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Pino Toscano <pino@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>,
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git

Package: pkg-kde-tools
Architecture: all
Multi-Arch: foreign
Depends: libdpkg-perl (>= 1.19.0~),
         lintian,
         python3:any (>= 3.3.2-2~),
         ${misc:Depends},
         ${perl:Depends}
Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
Suggests: cdbs, debhelper (>= 7.3.16)
Breaks: dpkg-dev (<< 1.15.6~), kdelibs5-dev (<< 4:4.2.2)
Description: various packaging tools and scripts for KDE Applications
 This package contains a variety of packaging tools and build scripts that may
 be very useful when packaging KDE applications. Even if you are a maintainer
 of a very small KDE application, this package should be worthwhile checking
 out.
 .
 Main highlights:
  - recommended build flags for building packages based on the KDE Platform;
  - cdbs class for building packages based on the KDE Platform (kde.mk);
  - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
    building packages based on the KDE Platform;
  - dh_sameversiondep for generating a dependency that is versioned the same
    way as a dependency (coming from the same source) of another reference
    package.
  - dh_movelibkdeinit for moving libkdeinit4_*.so libraries to private
    location;
  - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
    packages based to which local packages lib*.so symlinks point to;
  - dh_qmlcdeps (and qmlcdeps dh addon) for generating qmlc:Depends substvar
    for packages shipping QML cache files.
  - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
    files;
  - pkgkde-debs2symbols tool for generating symbol files and symbol file
    patches from pre-built binaries in the deb packages;
  - pkgkde-getbuildlogs tool for downloading build logs for the specified
    package (from buildd.debian.org);
  - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
    kde-sc-dev-latest package;
  - pkgkde-vcs tool for performing common tasks when packaging under VCS.
 .
 NOTE: since this package is cumulative, it does not depend on the packages it
 provides helpers for. I.e. you still need to explicitly build depend on
 debhelper or cdbs in your packages.

Package: libdlrestrictions1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that implements library compatibility checks for dlopen()
 This package provides a DLRestrictions library that can be used to check
 compatibility of the external shared library (or plugin) against other
 libraries currently loaded in the global symbol object. It might help to avoid
 symbol clashes and provide means for graceful failure detection in advance
 before the first dlsym() call. Otherwise, usage of incompatible library might
 result in crashes or other unpredictable failures of the application.
 .
 A shared library that is protected by DLRestrictions provides a special symbol
 which defines conditions under which the library may be safely used. At the
 moment, the only restriction that may be imposed controls whether multiple
 SONAMEs of the same library can safely co-exist in the same symbol space.
 Shared library dependencies are also checked for compatibility.

Package: libdlrestrictions-dev
Architecture: any
Section: libdevel
Depends: libdlrestrictions1 (= ${binary:Version})
Description: development files for the DLRestrictions library
 This package provides development files needed to build both shared libraries,
 which specify their compatibility restrictions, and applications, which check
 whether those restrictions are satisfied before using those libraries. The
 package also contains a CMake module which simplifies building DLRestricted
 shared libraries with CMake.

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

override_dh_install:
	$(overridden_command) --list-missing

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).
KDEBRANCH=v4.13.0

KDEGIT=git://anongit.kde.org
TARGET=kubuntu/libexec
CPTARGET=../kubuntu/libexec
EXPORT=export -r$(SVNREV) --force

# Note that for git we use single branch shallow clone of the git tags. This is
# about as fast as it gets with git.
syncl10ninternal:
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl $(TARGET)/createdesktopcontext.pl
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh $(TARGET)/extract-messages.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh $(TARGET)/extract-xml.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit $(TARGET)/msgsplit
	@echo "Working on kde-dev-scripts"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kde-dev-scripts.git && \
	  cd kde-dev-scripts && \
	    cp extractattr $(CPTARGET) && \
	    cp extractrc   $(CPTARGET)
	@echo "Working on kdelibs"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kdelibs.git && \
	  cd kdelibs && \
	    cp kdeui/preparetips $(CPTARGET)

syncl10nclean:
	rm -rf kde-dev-scripts
	rm -rf kdelibs

# Clean git directories before and after to prevent problems.
syncl10n: syncl10nclean syncl10ninternal syncl10nclean

# ...also clean git directories as part of regular clean.
override_dh_auto_clean: syncl10nclean
	dh_auto_clean

.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal

## pkg-kde-tools 0.15.28ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.15.28ubuntu2) cosmic; urgency=medium

  * perllib/Debian/Debhelper/Sequence/kf5.pm:
    - execute the new dh_kubuntu_list-missing after the package is built i.e.
      after dh_builddeb
    - execute the new dh_kubuntu_execute_lintian after dh_kubuntu_list-missing
  * Don't execute anymore the lintian and list-missing targets in
    qt-kde-team/3/debian-qt-kde.mk since that is now managed by
    perllib/Debian/Debhelper/Sequence/kf5.pm

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 19 Jul 2018 17:21:24 +0100

## pkg-kde-tools 0.15.29

=== debian/changelog ===
pkg-kde-tools (0.15.29) unstable; urgency=medium

  [ Kunal Mehta ]
  * Replace broken alioth URLs in man pages (Closes: #905845).

  [ Simon Quigley ]
  * Bump Standards-version to 4.1.4, no changes needed.
  * Run wrap-and-sort.

  [ Dmitry Shachnev ]
  * Update Vcs fields for move to salsa.debian.org.

  [ Andreas Ferber ]
  * dh_qmlcdeps: don't exit on first package without qmlc files (Closes:
    #905736).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 13:19:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,22 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
-           Dmitry Shachnev <mitya57@debian.org>,
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/pkg-kde-tools.git
+           Dmitry Shachnev <mitya57@debian.org>
+Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
 
 Package: pkg-kde-tools
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian,
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.15.29ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.29ubuntu1) disco; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
  * Remove trailing whitespace from debian/changelog and debian/rules.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 24 Mar 2019 13:49:45 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.19.0~)
 Standards-Version: 4.1.4
 Uploaders: Sune Vuorela <sune@debian.org>,
@@ -17,6 +18,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
+         lintian,
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

=== debian/rules ===
--- 
+++ 
@@ -43,4 +43,4 @@
 override_dh_auto_clean: syncl10nclean
 	dh_auto_clean
 
-.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal 
+.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal

## pkg-kde-tools 0.15.29+nmu1

=== debian/changelog ===
pkg-kde-tools (0.15.29+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:27:27 +0800

## pkg-kde-tools 0.15.30ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.30ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Aug 2019 17:05:39 +0100

pkg-kde-tools (0.15.30) unstable; urgency=medium

  * Remove unconditional calls to dh_gconf (Closes: #931884). This is part of
  dhmk, which is currently only used within KDE4 apps and it's being retired by
  their maintainers.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 19 Aug 2019 10:40:38 -0300

## pkg-kde-tools 0.15.31

=== debian/changelog ===
pkg-kde-tools (0.15.31) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * pkgkde-vcs: Add buster to supported distributions.
  * 3/library-packages.mk: Specify Regex more precisly to not split
    package with - in their name.
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Bump to compat 12 and use new style without d/compat.
  * move dh_install --list-missing (dh_missing --list-install is default
    with compat v12).

  [ Dmitry Shachnev ]
  * Also add bullseye and bookworm to supported distributions.

 -- Sandro Knauß <hefee@debian.org>  Sun, 13 Oct 2019 09:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake (>= 2.6.4), debhelper (>= 9), libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.1.4
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Build-Depends: cmake (>= 2.6.4), debhelper-compat (= 12), libdpkg-perl (>= 1.19.0~)
+Standards-Version: 4.4.1
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -18,7 +17,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian,
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.15.32

=== debian/changelog ===
pkg-kde-tools (0.15.32) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Minor markup fix in pkgkde-symbolshelper manpage.
  * Make dh_qmlcdeps generate dependencies with tilde, to support pre-release
    Qt versions.
  * Bump Standards-Version to 4.5.0, no changes needed.

  [ Scott Kitterman ]
  * Replace Dpkg::version with Dpkg::VERSION in pkgkde-symbolshelper to
    support use with dpkg >= 1.20.0 (Closes: #953960).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Mar 2020 21:57:14 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake (>= 2.6.4), debhelper-compat (= 12), libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.4.1
+Build-Depends: cmake (>= 2.6.4),
+               debhelper-compat (= 12),
+               libdpkg-perl (>= 1.19.0~)
+Standards-Version: 4.5.0
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

## pkg-kde-tools 0.15.32ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.32ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Fri, 20 Mar 2020 10:29:58 +0000

pkg-kde-tools (0.15.31ubuntu3) focal; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Fix dh_kubuntu_list-missing in a way compatible with previous
    debhelper versions.

 -- Rik Mills <rikmills@kde.org>  Sat, 29 Feb 2020 14:48:05 +0000

pkg-kde-tools (0.15.31ubuntu2) focal; urgency=medium

  * dh_kubuntu_list-missing: Adapt to changed dh_missing --list-missing
    output from debhelper (12.8) onwards.

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Feb 2020 12:33:05 +0000

pkg-kde-tools (0.15.31ubuntu1) focal; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files and l10n scripts.
    - debian/rules:
      + Add rules to sync l10n.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Oct 2019 17:33:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4),
                debhelper-compat (= 12),
                libdpkg-perl (>= 1.19.0~)
@@ -19,6 +20,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
+         lintian,
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.15.32ubuntu3

=== debian/changelog ===
pkg-kde-tools (0.15.32ubuntu3) groovy; urgency=medium

  * Re-enable lintian checks (LP: #1889551)

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Aug 2020 22:37:58 +0100

pkg-kde-tools (0.15.32ubuntu2) groovy; urgency=medium

  * Drop running lintian, it's making all package builds using the sequence
    hang in autopkgtest which is making the queue back up. Ref bug #1889551.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 30 Jul 2020 12:47:01 +0100

## pkg-kde-tools 0.15.32ubuntu4

=== CMakeLists.txt ===
project(pkg-kde-tools)
# 2.6.4 has PERL_VENDORLIB
cmake_minimum_required(VERSION 2.6.4)

# Find required perl bits
find_package(PerlLibs)
if (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(STATUS "Perl VendorLib: ${PERL_VENDORLIB}")
else (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Unable to determine vendorlib. Perl was not found?")
endif (PERL_VENDORLIB AND PERL_EXECUTABLE)

find_program(POD2MAN pod2man)
if (NOT POD2MAN)
    MESSAGE(FATAL_ERROR "pod2man is required to build this package")
endif (NOT POD2MAN)

set(BIN_INSTALL_DIR bin CACHE PATH "Binary/script installation directory")
set(LIB_INSTALL_DIR lib CACHE PATH "Library installation directory")
set(DATA_INSTALL_DIR share/${CMAKE_PROJECT_NAME} CACHE PATH "Data file installation directory")
set(DATALIB_INSTALL_DIR "${DATA_INSTALL_DIR}/lib")
set(MAN_INSTALL_DIR share/man CACHE PATH "Manual page installation directory")
set(INCLUDE_INSTALL_DIR include CACHE PATH "Header file installation directory")
option(DISABLE_TESTS "Disable ${CMAKE_PROJECT_NAME} tests" OFF)

# Function for building & installing manual pages generated from PODs
function(install_pod_manpages section)
    foreach (pod ${ARGN})
        set(man "${CMAKE_CURRENT_BINARY_DIR}/${pod}.${section}")
        add_custom_command(OUTPUT "${man}"
            COMMAND ${POD2MAN} "${CMAKE_CURRENT_SOURCE_DIR}/${pod}" "${man}"
            MAIN_DEPENDENCY ${pod})
        get_filename_component(podfilename ${pod} NAME)
        add_custom_target(pod2man_${pod} ALL DEPENDS ${man}
            COMMENT "Building manual page for ${pod}" SOURCES ${pod})
        install(FILES ${man} DESTINATION "${MAN_INSTALL_DIR}/man${section}"
                             COMPONENT Documentation)
    endforeach (pod ${ARGN})
endfunction(install_pod_manpages section)

# Install data & arch-indep library bundles
install(DIRECTORY cmake makefiles qt-kde-team
        DESTINATION ${DATA_INSTALL_DIR}
        USE_SOURCE_PERMISSIONS
        COMPONENT Programs)

install(DIRECTORY vcslib/
    DESTINATION ${DATA_INSTALL_DIR}/vcs
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY datalib/
    DESTINATION ${DATALIB_INSTALL_DIR}
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY perllib/
    DESTINATION ${PERL_VENDORLIB}
    COMPONENT Programs
    FILES_MATCHING PATTERN "*.pm")

# Install debhelper helpers programs
install(PROGRAMS
    dh_movelibkdeinit
    dh_qmlcdeps
    dh_sameversiondep
    dh_sodeps
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs
)
install_pod_manpages(1 dh_movelibkdeinit dh_qmlcdeps dh_sameversiondep dh_sodeps)

# Install pkgkde binaries
install(PROGRAMS
    pkgkde-debs2symbols
    pkgkde-gensymbols
    pkgkde-getbuildlogs
    pkgkde-mark-private-symbols
    pkgkde-mark-qt5-private-symbols
    pkgkde-override-sc-dev-latest
    pkgkde-symbolshelper
    pkgkde-vcs
    pkgkde-git
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs)
install_pod_manpages(1 pkgkde-override-sc-dev-latest)

# Install raw manpages
install(DIRECTORY man1
    DESTINATION ${MAN_INSTALL_DIR}
    COMPONENT Documentation)

# Build dlrestrictions
add_subdirectory(dlrestrictions)

if (NOT DISABLE_TESTS)
    enable_testing()
    add_subdirectory(t)
endif (NOT DISABLE_TESTS)

=== debian/changelog ===
pkg-kde-tools (0.15.32ubuntu4) hirsute; urgency=medium

  * Do not depend on lintian on i386.

 -- Rik Mills <rikmills@kde.org>  Sun, 03 Jan 2021 16:47:50 +0000

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
 
 Package: pkg-kde-tools
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian,
+         lintian [!i386],
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include qt-kde-team/2/dhmk.mk

# KDE branch to use. Various scripts are coming from kdesdk or other parts of
# KDE, those will preferrably be fetched from the branch (still taking into
# account the revision from below).
KDEBRANCH=v4.13.0

KDEGIT=git://anongit.kde.org
TARGET=kubuntu/libexec
CPTARGET=../kubuntu/libexec
EXPORT=export -r$(SVNREV) --force

# Note that for git we use single branch shallow clone of the git tags. This is
# about as fast as it gets with git.
syncl10ninternal:
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/createdesktopcontext.pl $(TARGET)/createdesktopcontext.pl
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-messages.sh $(TARGET)/extract-messages.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/extract-xml.sh $(TARGET)/extract-xml.sh
	svn $(EXPORT) svn://anonsvn.kde.org/home/kde/branches/stable/l10n-kde4/scripts/msgsplit $(TARGET)/msgsplit
	@echo "Working on kde-dev-scripts"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kde-dev-scripts.git && \
	  cd kde-dev-scripts && \
	    cp extractattr $(CPTARGET) && \
	    cp extractrc   $(CPTARGET)
	@echo "Working on kdelibs"
	git clone --branch $(KDEBRANCH) --depth 1 --single-branch $(KDEGIT)/kdelibs.git && \
	  cd kdelibs && \
	    cp kdeui/preparetips $(CPTARGET)

syncl10nclean:
	rm -rf kde-dev-scripts
	rm -rf kdelibs

# Clean git directories before and after to prevent problems.
syncl10n: syncl10nclean syncl10ninternal syncl10nclean

# ...also clean git directories as part of regular clean.
override_dh_auto_clean: syncl10nclean
	dh_auto_clean

.PHONY: override_dh_auto_clean syncl10n syncl10nclean syncl10ninternal

## pkg-kde-tools 0.15.36ubuntu3

=== debian/changelog ===
pkg-kde-tools (0.15.36ubuntu3) kinetic; urgency=medium

  * control: Add dh-sequence-pkgkde-symbolshelper to pkg-kde-tools
    Provides.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 11 Oct 2022 09:38:37 +0300

pkg-kde-tools (0.15.36ubuntu2) kinetic; urgency=medium

  * Skip lintian also on riscv64. Takes an excessive amount of build
    time and adds little useful info.

 -- Rik Mills <rikmills@kde.org>  Fri, 24 Jun 2022 08:30:45 +0100

pkg-kde-tools (0.15.36ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 May 2022 18:41:17 +0100

pkg-kde-tools (0.15.36) unstable; urgency=medium

  * Apply a fix from Sune Vuorela to solve parallel build issues.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 26 Apr 2022 13:20:07 -0300

pkg-kde-tools (0.15.35) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add dh-sequence-* virtual packages to be able to use those virtual
    packages as dependency and not explicitly use with in d/rules.
  * Add Build-Depends-Package for libdlrestrictions1.
  * Add hardening=+all.
  * Add Rules-Requires-Root.

 -- Sandro Knauß <hefee@debian.org>  Mon, 07 Mar 2022 12:25:24 +0100

pkg-kde-tools (0.15.34) unstable; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Add copyright-script for Qt.

 -- Patrick Franz <deltaone@debian.org>  Sat, 18 Dec 2021 14:18:53 +0100

pkg-kde-tools (0.15.33) unstable; urgency=medium

  [ Norbert Preining ]
  * Fix typo in pkgkde-symbolshelper (Closes: #988759)

  [ Dmitry Shachnev ]
  * Add Qt 6 support to pkgkde-mark-qt5-private-symbols.
  * Remove old and unused pkgkde-mark-private-symbols tool.
  * Bump Standards-Version to 4.6.0, no changes needed.

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for libdlrestrictions-dev.
  * Bump debhelper from old 12 to 13.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 01 Dec 2021 18:10:03 +0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Uploaders: Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
@@ -15,18 +15,21 @@
            Dmitry Shachnev <mitya57@debian.org>
 Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
+Rules-Requires-Root: no
 
 Package: pkg-kde-tools
 Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian [!i386],
+         lintian [!i386 !riscv64],
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: cdbs, debhelper (>= 7.3.16)
 Breaks: dpkg-dev (<< 1.15.6~), kdelibs5-dev (<< 4:4.2.2)
+Provides: dh-sequence-kde, dh-sequence-kf5, dh-sequence-qmlcdeps, dh-sequence-sodeps,
+ dh-sequence-pkgkde-symbolshelper
 Description: various packaging tools and scripts for KDE Applications
  This package contains a variety of packaging tools and build scripts that may
  be very useful when packaging KDE applications. Even if you are a maintainer
@@ -82,7 +85,7 @@
 Package: libdlrestrictions-dev
 Architecture: any
 Section: libdevel
-Depends: libdlrestrictions1 (= ${binary:Version})
+Depends: libdlrestrictions1 (= ${binary:Version}), ${misc:Depends}
 Description: development files for the DLRestrictions library
  This package provides development files needed to build both shared libraries,
  which specify their compatibility restrictions, and applications, which check

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include qt-kde-team/2/dhmk.mk

## pkg-kde-tools 0.15.38

=== CMakeLists.txt ===
--- 
+++ 
@@ -75,12 +75,12 @@
     pkgkde-debs2symbols
     pkgkde-gensymbols
     pkgkde-getbuildlogs
-    pkgkde-mark-private-symbols
     pkgkde-mark-qt5-private-symbols
     pkgkde-override-sc-dev-latest
     pkgkde-symbolshelper
     pkgkde-vcs
     pkgkde-git
+    pkgkde-update-qt-copyright
     DESTINATION ${BIN_INSTALL_DIR}
     COMPONENT Programs)
 install_pod_manpages(1 pkgkde-override-sc-dev-latest)

=== dlrestrictions/CMakeLists.txt ===
project(DLRestrictions C)

add_library(dlrestrictions SHARED
    dlrestrictions.c
    dlrestrictions.h)
set_target_properties(dlrestrictions PROPERTIES SOVERSION 1 VERSION 1.0.0)
# FIXME: portability
set_target_properties(dlrestrictions PROPERTIES LINK_FLAGS "-Wl,--default-symver")
target_link_libraries(dlrestrictions ${CMAKE_DL_LIBS})
target_link_libraries(dlrestrictions LINK_INTERFACE_LIBRARIES "")

install(TARGETS dlrestrictions
    EXPORT dlrestrictions
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    COMPONENT DLRestrictions)
install(FILES dlrestrictions.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    COMPONENT DLRestrictions)
install(FILES DLRestrictionsConfig.cmake dlrestrictions-symbol.c.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/DLRestrictions)
install(EXPORT dlrestrictions FILE dlrestrictions-export.cmake
    DESTINATION ${LIB_INSTALL_DIR}/cmake/DLRestrictions)

=== debian/changelog ===
pkg-kde-tools (0.15.38) unstable; urgency=medium

  * Remove inactive Uploaders.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.6.1, no changes required.
  * 2/list-missing.mk, 3/list-missing.mk: switch from "egrep" to "grep -E",
    as the former has been deprecated for many years.
  * Add also the virtual provides dh-sequence-pkgkde-symbolshelper to
    pkg-kde-tools.
  * Drop debian/not-installed, as it should not be needed anymore after the
    switch to the dh sequencer.
  * Rename few files to make it clear to which package they refer to:
    - debian/README.Debian -> debian/pkg-kde-tools.README.Debian
    - debian/dirs -> debian/pkg-kde-tools.dirs
    - debian/links -> debian/pkg-kde-tools.links
  * Drop debian/NEWS, as the last (and only) entry is 12 years old.
  * Drop the Breaks against a version of dpkg-dev older than what is in
    Debian Jessie.
  * Drop the dh-sequence-kde virtual provides: that dh addon is used to build
    kdelibs 4.x stuff, and kdelibs 4.x is no more in Debian.

 -- Pino Toscano <pino@debian.org>  Sat, 10 Sep 2022 10:28:52 +0200

pkg-kde-tools (0.15.37) unstable; urgency=medium

  * Switch from dhmk to dh.

 -- Sandro Knauß <hefee@debian.org>  Sat, 16 Jul 2022 13:11:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,12 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4),
                debhelper-compat (= 13),
                libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.6.0
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           Maximiliano Curia <maxy@debian.org>,
-           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+Standards-Version: 4.6.1
+Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
 Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
@@ -18,18 +14,16 @@
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian [!i386 !riscv64],
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}
 Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
 Suggests: cdbs, debhelper (>= 7.3.16)
-Breaks: dpkg-dev (<< 1.15.6~), kdelibs5-dev (<< 4:4.2.2)
-Provides: dh-sequence-kde, dh-sequence-kf5, dh-sequence-qmlcdeps, dh-sequence-sodeps,
- dh-sequence-pkgkde-symbolshelper
+Breaks: kdelibs5-dev (<< 4:4.2.2)
+Provides: dh-sequence-kf5, dh-sequence-qmlcdeps, dh-sequence-sodeps, dh-sequence-pkgkde-symbolshelper
 Description: various packaging tools and scripts for KDE Applications
  This package contains a variety of packaging tools and build scripts that may
  be very useful when packaging KDE applications. Even if you are a maintainer

## pkg-kde-tools 0.15.38ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.15.38ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Dec 2022 22:20:09 +0000

pkg-kde-tools (0.15.36ubuntu5) lunar; urgency=medium

  * Enable build time lintian again.

 -- Rik Mills <rikmills@kde.org>  Sun, 13 Nov 2022 10:58:47 +0000

pkg-kde-tools (0.15.36ubuntu4) lunar; urgency=medium

  * Temporily do not not do build time lintian checks while it is
    blocked by perl transition.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 07:53:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake (>= 2.6.4),
                debhelper-compat (= 13),
                libdpkg-perl (>= 1.19.0~)
@@ -14,9 +15,10 @@
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
+         lintian [!i386 !riscv64],
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.15.38ubuntu4

=== debian/changelog ===
pkg-kde-tools (0.15.38ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:37:56 +1100

pkg-kde-tools (0.15.38ubuntu3) noble; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 20 Mar 2024 20:22:23 +0300

pkg-kde-tools (0.15.38ubuntu2) noble; urgency=medium

  * Temporarily disable lintian on armhf to aid t64 bootstrap

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 29 Feb 2024 10:40:28 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl (>= 1.19.0~),
-         lintian [!i386 !riscv64],
+         lintian [!i386 !riscv64 !armhf],
          python3:any (>= 3.3.2-2~),
          ${misc:Depends},
          ${perl:Depends}

## pkg-kde-tools 0.17.1

=== debian/changelog ===
pkg-kde-tools (0.17.1) unstable; urgency=medium

  * pkgkde-symbolshelper: Update ABI definition for time_t subst.
  * Build-depend on dpkg-dev ≥ 1.22.5, to guard against backports without
    this change reverted.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 20 Mar 2024 20:13:29 +0300

pkg-kde-tools (0.17.0) experimental; urgency=medium

  [ Patrick Franz ]
  * Add the KF6 sequencer helper.

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Feb 2024 17:38:57 +0100

pkg-kde-tools (0.16.0~qmldepends1) experimental; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake and libdpkg-perl.
    + pkg-kde-tools: Drop versioned constraint on libdpkg-perl and python3 in
      Depends.
    + pkg-kde-tools: Drop versioned constraint on dpkg-dev in Recommends.
    + pkg-kde-tools: Drop versioned constraint on kdelibs5-dev in Breaks.

  [ Sandro Knauß ]
  * Add pkgkde-qmldepends to detect QML depdendecy and make them usable in
    builds. Currently it is the the first version to make it possible to start
    experiments with the script.
  * Update lintian overrides for pkg-kde-tools.

  [ Dmitry Shachnev ]
  * pkgkde-update-qt-copyright: Update for new Qt license strings
  * pkgkde-update-qt-copyright: Support more exotic copyright strings

 -- Sandro Knauß <hefee@debian.org>  Sat, 02 Sep 2023 00:42:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Build-Depends: cmake (>= 2.6.4),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Build-Depends: cmake,
                debhelper-compat (= 13),
-               libdpkg-perl (>= 1.19.0~)
-Standards-Version: 4.6.1
+               dpkg-dev (>= 1.22.5),
+               libdpkg-perl
+Standards-Version: 4.6.2
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
@@ -15,17 +15,21 @@
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl (>= 1.19.0~),
-         lintian [!i386 !riscv64 !armhf],
-         python3:any (>= 3.3.2-2~),
+Depends: libdpkg-perl,
+         python3-debian,
+         python3-yaml,
+         python3:any,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: dpkg-dev (>= 1.15.6~), libwww-perl
+Recommends: dpkg-dev, libwww-perl
 Suggests: cdbs, debhelper (>= 7.3.16)
-Breaks: kdelibs5-dev (<< 4:4.2.2)
-Provides: dh-sequence-kf5, dh-sequence-qmlcdeps, dh-sequence-sodeps, dh-sequence-pkgkde-symbolshelper
+Provides: dh-sequence-kf5,
+          dh-sequence-kf6,
+          dh-sequence-pkgkde-symbolshelper,
+          dh-sequence-qmlcdeps,
+          dh-sequence-sodeps
 Description: various packaging tools and scripts for KDE Applications
  This package contains a variety of packaging tools and build scripts that may
  be very useful when packaging KDE applications. Even if you are a maintainer
@@ -55,6 +59,7 @@
   - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
     kde-sc-dev-latest package;
   - pkgkde-vcs tool for performing common tasks when packaging under VCS.
+  - qmldepdends.py create a list of QML dependencies.
  .
  NOTE: since this package is cumulative, it does not depend on the packages it
  provides helpers for. I.e. you still need to explicitly build depend on

## pkg-kde-tools 0.17.1ubuntu3

=== debian/changelog ===
pkg-kde-tools (0.17.1ubuntu3) oracular; urgency=medium

  * Add missing Kubuntu specific changes for upcoming KDE Frameworks 6:
     - perllib/Debian/Debhelper/Sequence/kf6.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 18 May 2024 08:44:22 +0100

pkg-kde-tools (0.17.1ubuntu2) oracular; urgency=medium

  * Restore part of architecture restrictions for lintian dependency:
    - !i386: at the moment lintian is not installable for i386 on oracular
      with -proposed.
    - !riscv64: builds for this architecture are a bit slow and running lintian
      increases compiling time.
  * Set Kubuntu vcs fields.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 05 May 2024 01:40:30 +0100

pkg-kde-tools (0.17.1ubuntu1) oracular; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 May 2024 12:58:28 -0500

## pkg-kde-tools 0.17.1ubuntu4

=== debian/changelog ===
pkg-kde-tools (0.17.1ubuntu4) oracular; urgency=medium

  * Replace _g calls with g_ in perllib/Debian/PkgKde/SymbolsHelper/Symbol.pm.
    (LP: #2077903)

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Tue, 27 Aug 2024 15:38:38 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
@@ -10,14 +11,15 @@
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl,
+         lintian [!i386 !riscv64],
          python3-debian,
          python3-yaml,
          python3:any,
